> For the complete documentation index, see [llms.txt](https://docs.buzzy.buzz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buzzy.buzz/developing-and-extending-buzzy/buzzy-rest-api/rest-api/user-and-organization-operations/updateteammember.md).

# updateteammember

### description

Updates an existing team member's role. This endpoint only allows role changes and cannot modify other member information.

### parameters

The `X-Auth-Token` and `X-User-Id` are derived from the values `authToken` and `userId` returned from the login endpoint and are used in the HTTP header.

`teamID` - required, the team ID.

`userID` - required, the user ID of the team member to update.

`role` - required, the new role for the team member. Valid values are "admin" or "member".

#### Resource

```
{
	"teamID":"<team ID>",
	"userID":"<user ID of team member>",
	"role": "<new member role>"
}
```

### response

Returns the status of the request

### example

```
POST /api/updateteammember 
X-Auth-Token:<insert token here>
X-User-Id:<insert user id here>

{
	"teamID": "<team ID>",
	"userID": "<user ID of team member>",
	"role": "admin"
}
```

You should get back:

```
{
    "status": "success"
}
```

***
